Method: vdc.healthCheck

An endpoint used to test connectivity issues.

HTTP request

POST https://example.issuer.com/api/v1/vdc/healthCheck

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestMetadata": {
    object (RequestMetadata)
  },
  "clientMessage": string
}
Fields
requestMetadata

object (RequestMetadata)

The metadata about the request, required in all requests.

clientMessage

string

A message that the server will echo in the response.

Response body

A response to a health check, indicating a healthy system.

If successful, the response body contains data with the following structure:

JSON representation
{
  "responseMetadata": {
    object (ResponseMetadata)
  },
  "clientMessage": string
}
Fields
responseMetadata

object (ResponseMetadata)

The metadata about the response, required in all responses.

clientMessage

string

The message sent by the client, echoed by the server.